searchData={"items":[{"type":"module","title":"Ueberauth.Strategy.Asana","doc":"Asana Strategy for Überauth.","ref":"Ueberauth.Strategy.Asana.html"},{"type":"function","title":"Ueberauth.Strategy.Asana.credentials/1","doc":"Includes the credentials from the Asana response.","ref":"Ueberauth.Strategy.Asana.html#credentials/1"},{"type":"function","title":"Ueberauth.Strategy.Asana.default_options/0","doc":"","ref":"Ueberauth.Strategy.Asana.html#default_options/0"},{"type":"function","title":"Ueberauth.Strategy.Asana.extra/1","doc":"Stores the raw information (including the token & user)\nobtained from the Asana callback.","ref":"Ueberauth.Strategy.Asana.html#extra/1"},{"type":"function","title":"Ueberauth.Strategy.Asana.handle_request!/1","doc":"Handles initial request for Asana authentication.","ref":"Ueberauth.Strategy.Asana.html#handle_request!/1"},{"type":"function","title":"Ueberauth.Strategy.Asana.info/1","doc":"Fetches the fields to populate the info section of the `Ueberauth.Auth` struct.","ref":"Ueberauth.Strategy.Asana.html#info/1"},{"type":"function","title":"Ueberauth.Strategy.Asana.uid/1","doc":"Fetches the uid field from the response.","ref":"Ueberauth.Strategy.Asana.html#uid/1"},{"type":"module","title":"Ueberauth.Strategy.Asana.OAuth","doc":"OAuth2 for Asana.\n\nAdd `client_id` and `client_secret` to your configuration:\n\nconfig :ueberauth, Ueberauth.Strategy.Asana.OAuth,\n  client_id: System.get_env(\"ASANA_CLIENT_ID\"),\n  client_secret: System.get_env(\"ASANA_CLIENT_SECRET\")","ref":"Ueberauth.Strategy.Asana.OAuth.html"},{"type":"function","title":"Ueberauth.Strategy.Asana.OAuth.authorize_url/2","doc":"","ref":"Ueberauth.Strategy.Asana.OAuth.html#authorize_url/2"},{"type":"function","title":"Ueberauth.Strategy.Asana.OAuth.authorize_url!/2","doc":"Provides the authorize url for the request phase of Ueberauth.\nNo need to call this usually.","ref":"Ueberauth.Strategy.Asana.OAuth.html#authorize_url!/2"},{"type":"function","title":"Ueberauth.Strategy.Asana.OAuth.client/1","doc":"Construct a client for requests to Asana.\nThis will be setup automatically for you in `Ueberauth.Strategy.Asana`.\nThese options are only useful for usage outside the normal callback phase\nof Ueberauth.","ref":"Ueberauth.Strategy.Asana.OAuth.html#client/1"},{"type":"function","title":"Ueberauth.Strategy.Asana.OAuth.get/4","doc":"","ref":"Ueberauth.Strategy.Asana.OAuth.html#get/4"},{"type":"function","title":"Ueberauth.Strategy.Asana.OAuth.get_token/3","doc":"","ref":"Ueberauth.Strategy.Asana.OAuth.html#get_token/3"},{"type":"function","title":"Ueberauth.Strategy.Asana.OAuth.get_token!/2","doc":"","ref":"Ueberauth.Strategy.Asana.OAuth.html#get_token!/2"},{"type":"extras","title":"Überauth Asana","doc":"# Überauth Asana\n\nAsana OAuth2 strategy for Überauth\n\n**NOTE**: only a slightly modified fork of [`schwarz/ueberauth_discord`](https://github.com/schwarz/ueberauth_discord)","ref":"readme.html"},{"type":"extras","title":"Installation - Überauth Asana","doc":"1. Setup your application at [Asana Developers](https://developers.asana.com/docs/oauth).\n\n1. Add `:ueberauth_asana` to your list of dependencies in `mix.exs`:\n\n    ```elixir\n    def deps do\n      [{:ueberauth_asana, \"~> 0.1\"}]\n    end\n    ```\n\n1. Add Asana to your Überauth configuration:\n\n    ```elixir\n    config :ueberauth, Ueberauth,\n      providers: [\n        asana: {Ueberauth.Strategy.Asana, []}\n      ]\n    ```\n\n1.  Update your provider configuration:\n\n    ```elixir\n    config :ueberauth, Ueberauth.Strategy.Asana.OAuth,\n      client_id: System.get_env(\"ASANA_CLIENT_ID\"),\n      client_secret: System.get_env(\"ASANA_CLIENT_SECRET\")\n    ```\n\n1.  Include the Überauth plug in your controller:\n\n    ```elixir\n    defmodule MyApp.AuthController do\n      use MyApp.Web, :controller\n      plug Ueberauth\n      ...\n    end\n    ```\n\n1.  Create the request and callback routes if you haven't already:\n\n    ```elixir\n    scope \"/auth\", MyApp do\n      pipe_through :browser\n\n      get \"/:provider\", AuthController, :request\n      get \"/:provider/callback\", AuthController, :callback\n    end\n    ```\n\n    And make sure to set the correct redirect URI(s) in your Asana application to wire up the callback.\n\n1. Your controller needs to implement callbacks to deal with `Ueberauth.Auth` and `Ueberauth.Failure` responses.\n\nFor an example implementation see the [Überauth Example](https://github.com/ueberauth/ueberauth_example) application.","ref":"readme.html#installation"},{"type":"extras","title":"Calling - Überauth Asana","doc":"#","ref":"readme.html#calling"},{"type":"extras","title":"Auth - Überauth Asana","doc":"Depending on the configured url you can initialize the request through:\n\n    /auth/asana\n\nOr with options:\n\n    /auth/asana?scope=openid%20email\n\nBy default the requested scope is \"default\". Scope can be configured either explicitly as a `scope` query value on the request path or in your configuration:\n\n```elixir\nconfig :ueberauth, Ueberauth,\n  providers: [\n    asana: {Ueberauth.Strategy.Asana, [default_scope: \"default\"]}\n    # asana: {Ueberauth.Strategy.Asana, [default_scope: \"default openid email profile\"]}\n  ]\n```","ref":"readme.html#auth"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}